<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Classwork</title>
</head>
<body>
<header>
    <input id="MyDateSelector" type="date"/>
    <button id="ShowDayButton">Показать день недели</button>
</header>
<div id="result"></div>
<script>

  /*
      Создайте функцию, которая по клику на "показать день недели" возвращает день недели для выбранной даты с интута.
      День нужно возвратить в div#result в текстовом формате т.е понедельник, вторник, суббота и т.д
  */
  document.addEventListener('DOMContentLoaded', () => {
    document.getElementById('ShowDayButton').addEventListener('click', () => {
      let date = document.getElementById('MyDateSelector').value;
      let weekDays = [
        'воскресенье',
        'понедельник',
        'вторник',
        'среда',
        'четверг',
        'пятница',
        'суббота',
      ]
      if (date) {
        let weekDay = new Date(date).getDay();
        document.getElementById('result').innerText = weekDays[weekDay];
      }
    });
  });

</script>
</body>
</html>
